Package org.apache.felix.gogo.runtime

# Class Pipe

java.lang.Object
java.lang.Thread
org.apache.felix.gogo.runtime.Pipe

All Implemented Interfaces:
  `Runnable`

public class Pipe extends Thread

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Thread

`Thread.Builder, Thread.State, Thread.UncaughtExceptionHandler`

## Field Summary

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

## Constructor Summary

Constructors
Constructor
Description
`Pipe(Closure closure, List<Token> statement)`

## Method Summary

Modifier and Type
Method
Description
`Pipe`
`connect(Pipe next)`
`static Object[]`
`mark()`
`static void`
`reset(Object[] mark)`
`void`
`run()`
`void`
`setErr(PrintStream err)`
`void`
`setIn(InputStream in)`
`void`
`setOut(PrintStream out)`
`String`
`toString()`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, isVirtual, join, join, join, join, ofPlatform, ofVirtual, onSpinWait, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, sleep, start, startVirtualThread, stop, suspend, threadId, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Pipe

public Pipe(Closure closure, List<Token> statement)

## Method Details

### mark

public static Object[] mark()

### reset

public static void reset(Object[] mark)

### toString

public String toString()

Overrides:
  `toString` in class `Thread`

### setIn

public void setIn(InputStream in)

### setOut

public void setOut(PrintStream out)

### setErr

public void setErr(PrintStream err)

### connect

public Pipe connect(Pipe next) throws IOException

Throws:
  `IOException`

### run

public void run()

Specified by:
  `run` in interface `Runnable`
Overrides:
  `run` in class `Thread`